Subject: Solaris 2.4 strange bad file number using ls (fwd)

From: [email-masked] (Kayann B McDonnell)
Date: Wed, 7 Jun 1995 12:25:27 -0400 (EDT)

Adam Eberbach, R&D Engineer, Dataplex Pty. Ltd. wrote:

> I have compiled and I believe installed correctly wu-ftpd 2.4. Users 
> in the real class (i.e. me and my password) can login and use ftp 
> with no trouble. However, the anonymous user cannot use the 'ls' 
> command - an error message of 
> 
> 200 PORT command successful
> 425 Can't create data socket (0.0.0.0,20): Bad file number.
> 
> which I don't understand. I don't know if it's a Solaris problem or a 
> wu-ftpd problem, but I'm hoping someone has had this happen to them 
> and can suggest a course of action. Moving the ftp home directory 
> hasn't helped, nor has changing the shell specified for the ftp user 
> or changing the uid of 'ftp'.
> 

I haven't set up wu-ftpd yet, however, I ran
into the same problem setting up the ftpd for 
anonymous users under Solaris 2.4.  I solved
it when I put copies of /etc/passwd, /etc/group, and 
/etc/netconfig files in the ~ftp/etc directory 
mode 444.  Also, make sure you have the necessary 
library files is ~ftp/usr/lib and that you used 
mknod to create the files: zero tcp udp and ticotsord 
in ~ftp/dev.  If you do solve this for the 
wu-ftpd under Solaris 2.4, I'd sure appreciate knowing.

Kay McDonnell  [[email-masked]]  (215) 898-2527
Systems Administrator, University of Pennsylvania Law School